# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models

# Create your models here.

class Platform(models.Model):
	name = models.CharField(max_length=64)
	acronym = models.CharField(max_length=16)


class State(models.Model):
    name = models.CharField(max_length=50, blank=True)
    ent_key = models.CharField(verbose_name='Entity Key', max_length=4, blank=True)


class City(models.Model):
    name = models.CharField(max_length=50, blank=True)
    city_key = models.CharField(max_length=4, blank=True)
    coordinates = models.TextField(verbose_name='City Coordinates', default='', blank=True)
    state = models.ForeignKey(State, on_delete=models.CASCADE, default='')